image: 'docker:latest'

services:
  - 'docker:dind'

before_script:
  - 'docker info'

stages:
  - 'build'

job_build:
  stage: 'build'
  only:
    - 'master'
  script:
    - "docker build --pull -t $CI_REGISTRY_IMAGE ."
    - 'docker logout'
    - "docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY"
    - "docker push $CI_REGISTRY_IMAGE"